venus runtests.py FAIL after git update

Mark Wielaard mark at klomp.org
Sun May 23 17:53:35 EST 2010


On Sat, 2010-05-22 at 17:01 -0400, Sam Ruby wrote:
> Tracked down the root cause, it is the following change: 
> http://tinyurl.com/2wcfgde [1].  With that change, html5lib depends on a 
> feature introduced in Python 2.5, namely the ability to pass a tuple to 
> the startswith method:

Aha. OK, that seems easy to workaround.

> Python 2.5 was released on September 19th 2006
> 
> Any possibility you can install and use python 2.5 (at least for your 
> usages of Venus)?

Yeah, yeah, I know, I should leave this web 2.0 stuff to the young and
hip and stick to old fashioned web 1.0 with my "stable" (read "ancient")
enterprisy distro :)

But since html5lib seems to have 2.4 (and earlier) support already for
most other newish 2.5 functionality it seems simple to just add another
one. With the attached patch everything works fine, zero FAIL on
runtests.py, even on a bare centos 5.5 install (which was released just
a couple of weeks ago and will most likely be support for some years to
come).

Cheers,

Mark
-------------- next part --------------
A non-text attachment was scrubbed...
Name: 0001-Define-startswith-function-that-takes-a-tuple-for-2.patch
Type: text/x-patch
Size: 2480 bytes
Desc: not available
URL: </archives/devel/attachments/20100523/09fc7a79/attachment.bin>


More information about the devel mailing list